API referenceDeliveries
Retrieve a delivery
One delivery to one of your destinations. Another customer's answers 404.
Free.
Authorization
bearerAuth AuthorizationBearer <token>
Your API key, sent as Authorization: Bearer rc_prod_….
In: header
Path Parameters
delivery_id*string
The delivery's id (dlv_…), as a webhook's svix-id carries it.
Match
^dlv_[0-7][0-9a-hjkmnp-tv-z]{25}$Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.registercheck.de/v1/deliveries/dlv_0bvf9w1r1a8ycjv5ccwzj6mmt7" \ -H "Authorization: Bearer $REGISTERCHECK_API_KEY"{ "object": "delivery", "test": false, "id": "dlv_01k6yq3m0nfx8a4q2t7bw9c5ve", "destination_id": "dst_6hq30w96je9rnrmw1tknzhwb2n", "cadence": "instant", "status": "pending", "attempt_count": 0, "events": [ { "object": "event", "id": "evt_1c9sn8p79z99e9wyrf38nkrkay", "type": "company.registered_office.changed", "subject": { "object": "company", "id": "cmp_01hxn3rys1fh58w4d1pb1x9s81", "name": "Beispiel Reisen GmbH" }, "data": { "previous": "Musterstadt", "current": "München" }, "source": null, "effective_date": "2026-09-21", "created_at": "2026-09-21T05:20:00Z" } ], "created_at": "2026-09-21T05:20:03Z", "sent_at": null}